Menú Principal

Este sitio usa cookies y tecnologías similares.

Si no cambia la configuración de su navegador, usted acepta su uso. Saber más

Acepto

Zona descarga

¿Qué instalar: Joomla! 1.5, 1.6 o 1.7?

Tamaño de letra:

Nueva instalación - Qué usar, Joomla! 1.5, 1.6 o 1.7

Nota del autor: Joomla! avanza muy rápidamente, por este motivo, este artículo queda un tanto (que no mucho) obsoleto y te recomiendo que leas también el tutorial más actualizado:

¿Qué versión instalar: Joomla! 1.5, 1.6, 1.7 o 2.5? por karmany

Esta semana es la segunda vez que me han hecho esta pregunta: karmany voy a crear mi Web desde cero, ¿qué versión de Joomla! debo usar? ¿Por qué Joomla! 1.5 tendrá soporte hasta abril de 2012 y Joomla! 1.6 hasta agosto de 2011? ¿Debemos instalar Joomla! 1.7?

 

Introducción

En otro tutorial ya hablé de la estrategia de desarrollo de Joomla! y de por qué por ejemplo, la versión 1.6 sólo tendrá soporte hasta agosto de 2011 mientras que la versión 1.5 tendrá soporte hasta abril de 2012. Como comenté en ese tutorial, la siguiente versión de soporte de largo tiempo será publicada en enero de 2012 y será la versión 1.8. Mucha gente que ya tiene su página Web, migrará desde Joomla! 1.5 a Joomla! 1.8 porque suponen que la mayoría de extensiones ya serán compatibles con esa nueva versión. Me parece una forma de pensar correcta ya que a día de hoy existen muchas extensiones que no se pueden ejecutar correctamente en Joomla! 1.6, 1.7.

Sin embargo, existen muchísimos usuarios que comienzan con Joomla! y quieren crear su sitio Web. No saben la diferencia entre Joomla! 1.5, 1.6, 1.7 y van a los foros y mucha gente le orienta en instalar Joomla! 1.5, algo que es contrario a mi forma de pensar y voy a explicar el porqué.

 

Diferencias entre Joomla! 1.5, 1.6, 1.7

Para los usuarios más noveles en este tema quiero mostrarles a muy grandes rasgos la principal diferencia. En general y a nivel de usuario tanto la versión 1.5 como la 1.6 o la 1.7 son muy similares en su manejo: artículos, usuarios, extensiones... con diferencias, por supuesto. Cuando un usuario tenía instalada una versión de Joomla! 1.5.x y salía una actualización 1.5.y, dicha actualización se realizaba en segundos simplemente actualizando los archivos en tu servidor, sin embargo de la versión 1.5 a la versión 1.6 hubo un salto "enorme" y esto creó un gran problema: que pasar de Joomla! 1.5 a Joomla 1.6 ya no es una actualización sino una MIGRACIÓN. ¿Qué significa esto? Pues que pasar de 1.5 a 1.6 puede convertirse en una odisea. Cuando migré a Joomla! 1.6 tuve que modificar completamente la template, tuve que buscar componentes compatibles ya que los de Joomla 1.5 no valían, las categorías y secciones se convirtieron sólo en categorías, exístían nuevos campos en tablas de la base de datos... y un largo etc...

¿Y de Joomla! 1.6 a 1.7? Debido al problema anterior y como comenté en el tutorial que he enlazado antes, se creó una estrategia de desarrollo donde entre versión y versión no pase tanto tiempo y no se produzca esta migración como ocurre entre 1.5 y 1.6. Por eso mismo, pasar de Joomla! 1.6 a Joomla! 1.7 es muy sencillo y se realiza en segundos, por supuesto habrá que ver incompatibilidades.

 

Para los nuevos usuarios: ¿Qué instalo?

A mi modo de ver, existen ya en la red muchísimas extensiones compatibles con Joomla! 1.6. Estoy observando que los desarrolladores no paran de trabajar para hacer compatibles sus extensiones con Joomla! 1.7. Mi recomendación es que instales Joomla 1.7! pero observando que tus extensiones son compatibles, si no deberías instalar Joomla! 1.6 y en menos de un mes (cuando acaba su soporte) actualizar a J1.7.

¿Qué pasará si instalo Joomla! 1.5? Joomla! 1.5 NO es el futuro, así que si tu Web quieres tenerla segura, testeada por miles de millones de usuarios tendrás que actualizar a Joomla! 1.8, 1.9 o el que sea... esto es: una migración que puedes tardar mucho tiempo en hacerla. Sin embargo, si tu Web la comienzas ya con Joomla! 1.6 o 1.7 no deberías tener ningún problema en actualizarla y podrías tardar segundos. Además como he repetido, existen ya muchas extensiones para J!1.6-J1.7. Por ejemplo en Virtuemart que es una excelente extensión para realizar comprar por Web, están trabajando para hacerla compatible con 1.7 y ya ha salido una release, Kunena también es compatible con J1.7 y tiene comentarios... Tal vez una de las extensiones más usadas y que la gente espera con más entusiasmo sea JComments. El autor ya ha explicado en su Web que ya tiene la versión compatible con J1.7 pero está testeando errores y que dicha tardanza se produce porque trabaja sólo una persona en la misma, es gratuita y no recibe ayuda etc... Para las personas que quieren ver una demo de Joomla 1.7 + JComments:

http://demo-j17.joomlatune.com/

De todos modos, dejamos los comentarios abiertos...

Última actualización: Viernes, 17 Febrero 2012

Escribir un comentario

Antes de publicar un comentario, usted debe aceptar nuestras condiciones de uso: Condiciones de uso


 
Visitas: 4694510